Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMSequence

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMGroupType
                  |
                  +--com.bea.schema.SOMSequence

public class SOMSequence
extends SOMGroupType

<sequence> The grouping construct for schema components. The XML representation for a model group schema component is either an <all>, a <choice> or a <sequence> element information item. The all component specifies that all children must be present to be valid, and the order of those elements is significant.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.SOMGroupType
`m_childElements`

Constructor Summary
`` | `SOMSequence()`
`protected` | `SOMSequence(org.xml.sax.Attributes attrs, SOMObject parent)` constructor for use with SAX parser, loading SOM from a file.

Method Summary
`SOMAll` | `add(SOMAll p_all)` An <any> is an illegal child element for <sequence>.
`SOMComplexType` | `addComplexType(java.lang.String name)` add a new complexType.
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)`
`java.lang.String` | `getID()`
`protected boolean` | `startsWith(org.w3c.dom.Node element)`
`protected org.w3c.dom.Node` | `validate(org.w3c.dom.Node childNode, java.util.List errorList)` validate the sequence.

Methods inherited from class com.bea.schema.SOMGroupType
`add, add, add, add, add, addAnnotation, addChild, addElement, addElement, contains, getAnnotation, getAttributes, getChildren, getChildrenString, getMaxOccurs, getMaxOccursString, getMinOccurs, getMinOccursString, remove, removeAnnotation, setMaxOccurs, setMaxOccurs, setMinOccurs, setMinOccurs, toXML, validateOccurances`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMSequence

    public SOMSequence()

### SOMSequence

    protected SOMSequence(org.xml.sax.Attributes attrs,
                          SOMObject parent)

  constructor for use with SAX parser, loading SOM from a file.

  Parameters:
    `attrs` -

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### add

    public SOMAll add(SOMAll p_all)

  An <any> is an illegal child element for <sequence>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### addComplexType

    public SOMComplexType addComplexType(java.lang.String name)

  add a new complexType. This utility method adds a new complexType to this sequence by adding a new element to this sequence and creating a new complexType as the element's type. The newly created complexType is returned. To get access to the element, use the getParent() method of the returned complexType.

  Parameters:
    `name` - the name of the new <element>
  Returns:
    the new <complexType>

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Overrides:
    createDefault in class SOMGroupType

### validate

    protected org.w3c.dom.Node validate(org.w3c.dom.Node childNode,
                                        java.util.List errorList)
                                 throws SOMValidationException

  validate the sequence. This method expects to start at the org.w3c.dom.Node that starts the sequence of elements in the SOMSequence.

  Parameters:
    `childNode` - The first Node of the sequence
    `errorList` - a list in which to insert errors found by this method
  Returns:
    the Node to start next group type, or null if this sequence is not the child of another group type
  Throws:
    SOMValidationException - if the sequence was not found at the org.w3c.dom.Node
  Overrides:
    validate in class SOMGroupType

### startsWith

    protected boolean startsWith(org.w3c.dom.Node element)

  Overrides:
    startsWith in class SOMGroupType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)